INTERFACE
SUBROUTINE CPQSOL(KPROMA,KSTART,KPROF,PRES,PTS0,PQS,PQSATS,PQSOL)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PRES(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS0(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSATS(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQSOL(KPROMA)
END SUBROUTINE CPQSOL
END INTERFACE
